Bug 381061 - Review Request: R-acepack - ACE and AVAS methods for choosing regression transformations
Review Request: R-acepack - ACE and AVAS methods for choosing regression tran...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-13 16:38 EST by Tom "spot" Callaway
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-20 16:48:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tcallawa: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2007-11-13 16:38:26 EST
Spec URL: http://www.auroralinux.org/people/spot/review/new/R-acepack.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/R-acepack-1.3-1.fc9.src.rpm

ACE and AVAS (additivity and variance stabilization) are used to estimate
transformations for regression.
Comment 1 Jason Tibbitts 2007-11-17 21:16:29 EST
Fails to build for me; adding BR: gcc-gfortran gets it going.

Interesting bit with ace-copyright.txt.  It seems that too few academics pay any
attention to licensing.

* source files match upstream:
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
X BuildRequires missing gcc-gfortran.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64) (after fixing BRs)
* package installs properly
* debuginfo package looks complete.
* rpmlint has only the expected complaints.
* final provides and requires are sane:
   R-acepack = 1.3-1.fc9
* %check is present and all tests pass.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (R index generation)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED, though obviously you'll need to fix the gfortran thing before you can
Comment 2 Tom "spot" Callaway 2007-11-20 16:48:31 EST
CVS done, builds building. Thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.